# Special names here like %{__make} come from /usr/lib/rpm/macros

%define version 2.5
%define name libsecrm

Summary:	Library for secure removal of data
Name:		%{name}
Version:	%{version}
Release:	1
URL:		http://libsecrm.sf.net
License:	GPLv3+
# group must be one of the listed in /usr/share/doc/rpm-.../GROUPS
Group:		System Environment/Libraries
#Packager:	Bogdan Drozdowski <bogdandr@op.pl>
#Prefix:		/usr/local
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-build
BuildRequires:	gcc, glibc, glibc-devel, glibc-headers, make

%description

LibSecRm is a library which intercepts system calls that may lead to
insecure data (file and memory) deletion. The insecure removal functions
are replaced by secure ones (wiping the data the same way as the shred utility).

%prep
%setup -q

%build
CFLAGS='-march=i386' CPPFLAGS= ./configure --prefix=/usr/local --enable-static \
	--enable-shared --enable-public-interface --mandir=/usr/share/man \
	--infodir=/usr/share/info --libdir=/usr/local/lib
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT

DESTDIR="$RPM_BUILD_ROOT" %{__make} install
%{__mkdir_p} $RPM_BUILD_ROOT/usr/local/etc
touch $RPM_BUILD_ROOT/usr/local/etc/libsecrm.progban
touch $RPM_BUILD_ROOT/usr/local/etc/libsecrm.fileban

%post
#echo /usr/local/lib/libsecrm.so >> /etc/ld.so.preload
#touch /usr/local/etc/libsecrm.progban
#touch /usr/local/etc/libsecrm.fileban
#ldconfig
#install-info

%preun
#sed -i 's/^.*libsecrm.so//g' /etc/ld.so.preload

%postun
#ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#%define _unpackaged_files_terminate_build 0
%files

%defattr(-,root,root)
/usr/local/lib/libsecrm.so
/usr/local/lib/libsecrm.so.8
/usr/local/lib/libsecrm.so.8.0.4
/usr/local/lib/libsecrm.la
%doc /usr/share/info/libsecrm.info.gz
%doc /usr/share/man/man3/libsecrm.3.gz
%ghost %config(missingok) /usr/local/etc/libsecrm.progban
%ghost %config(missingok) /usr/local/etc/libsecrm.fileban
%doc README
%doc COPYING
%doc AUTHORS
%doc ChangeLog

############################################################################

%package devel

Summary:	Library for secure removal of data - development package
Release:	1
URL:		http://libsecrm.sf.net
License:	GPLv3+
Group:		Development/Libraries
#Packager:	Bogdan Drozdowski <bogdandr@op.pl>
#Prefix:		/usr/local
#Source:		%{name}-%{version}.tar.gz
Requires:	%{name} = %{version}

%files devel

%defattr(-,root,root)
/usr/local/lib/libsecrm.a
/usr/local/include/libsecrm.h
/usr/local/lib/pkgconfig/libsecrm.pc

%description devel

This is the development package for LibSecRm
LibSecRm is a library which intercepts system calls that may lead to
insecure data (file and memory) deletion. The insecure removal functions
are replaced by secure ones (wiping the data the same way as the shred utility).

%changelog
